/*
    createMenu.js
    Script zum auslesen der Menüstruktur aus der NAV-File und zur Übertragung in die Index.html
	rewritten by M.Egner - SBC Support
*/

(function($) {
    // Initiate show and hide menu
    $(document).ready(function() {
        var jPM = $.jPanelMenu({
            menu: '#menu', // A selector string pointing to the desired menu element. Default: #menu
            panel: 'body', // A selector string pointing to the desired root panel element. Point this to the element containing all content that should go into the panel. Default: body
            trigger: '.menu-trigger', // A selector string pointing to the menu-triggering element. Default: .menu-trigger
            excludedPanelContent: 'style, script', // A selector string specifying which elements within the <body> element should not be pushed into .jPanelMenu-panel. The selector string may contain any selector, not just tags. Default: style, script
            clone: true, // A boolean value specifying whether or not the targeted menu element should be cloned to create #jPanelMenu-menu, or simply moved in the DOM. Default: true
            direction: 'left', // A string specifying which direction the menu should open from. Default: left
            openPosition: '300px', // The measurement value for the open position of the menu. Can be set as a pixel, percentage, or em value. Default: 250px
            animated: true, // A boolean value specifying whether or not the opening and closing of the menu should be animated.Default: true
            closeOnContentClick: false, // A boolean value specifying whether or not the menu should be closed when clicking on the panel content. Default: true
            keyboardShortcuts: [{ // An option that allows you to control if keyboard shortcuts are enabled, and if they are, which keys do what. Default ->
                code: 27,
                /* Escape Key */
                open: false,
                close: true
            }, {
                code: 37,
                /* Left Arrow Key */
                open: false,
                close: true
            }, {
                code: 39,
                /* Right Arrow Key */
                open: true,
                close: false
            }, {
                code: 77,
                /* M Key */
                open: true,
                close: true
            }],
            duration: 400, // The time, in milliseconds, which it should take to open and close the menu, when animated. Default: 150
            // openDuration: 150,                          // The time, in milliseconds, which it should take to open the menu, when animated. If set, this overrides the duration option. Default: Inherited from duration
            // closeDuration: 150,                         // The time, in milliseconds, which it should take to close the menu, when animated. If set, this overrides the duration option. Default: Inherited from duration
            easing: 'ease-in-out' // The easing function to use when animating the opening and closing of the menu. Accepted Values: linear, ease, ease-in, ease-out, ease-in-out. Default: ease-in-out
                // openEasing: 'ease-in-out',                  // The easing function to use when animating the opening of the menu. If set, this overrides the easing option. Default: Inherited from easing
                // closeEasing: 'ease-in-out',                 // The easing function to use when animating the closing of the menu. If set, this overrides the easing option. Default: Inherited from easing
                // before: function(){},                       // Called before the menu is opened or closed, regardless of animation state. Default: function(){ }
                // beforeOpen: function(){},                   // Called before the menu is opened, regardless of animation state. Default: function(){ }
                // beforeClose: function(){},                  // Called before the menu is closed, regardless of animation state. Default: function(){ }
                // after: function(){},                        // Called after the menu is opened or closed, regardless of animation state. Default: function(){ }
                // afterOpen: function(){},                    // Called after the menu is opened, regardless of animation state. Default: function(){ }
                // afterClose: function(){},                   // Called after the menu is closed, regardless of animation state. Default: function(){ }
                // beforeOn: function(){},                     // Called before the plugin is turned on (when on( ) is called). Default: function(){ }
                // afterOn: function(){},                      // Called after the plugin is turned on (when on( ) is called). Default: function(){ }
                // beforeOff: function(){},                    // Called before the plugin is turned off (when off( ) is called). Default: function(){ }
                // afterOff: function(){}                      // Called after the plugin is turned off (when off( ) is called). Default: function(){ }
        });

        jPM.on();
        //jPM.open(false);
    });

    //Retrieve menu-data from xml document and placing the data in an <ul>/<li> structure
    /*$.ajax({
        type: "GET",
        url: "/file/html/navigation.nav",
        dataType: "xml",
        success: function(xml) {
            ReadXMLMenu(xml);
        }
    });*/
	
}(jQuery));
